/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing ApplicationProfileApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class ApplicationProfileApiTests : IDisposable
    {
        private ApplicationProfileApi instance;

        public ApplicationProfileApiTests()
        {
            instance = new ApplicationProfileApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ApplicationProfileApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' ApplicationProfileApi
            //Assert.IsType<ApplicationProfileApi>(instance);
        }

        /// <summary>
        /// Test ApiV2ApplicationProfilesOptions
        /// </summary>
        [Fact]
        public void ApiV2ApplicationProfilesOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2ApplicationProfilesOptions();
        }

        /// <summary>
        /// Test CreateApplicationProfileRequest
        /// </summary>
        [Fact]
        public void CreateApplicationProfileRequestTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //ApplicationProfileForCreationDto? applicationProfileForCreationDto = null;
            //var response = instance.CreateApplicationProfileRequest(applicationProfileForCreationDto);
            //Assert.IsType<ApplicationProfileForCreationDtoResponse>(response);
        }

        /// <summary>
        /// Test GetApplicationProfile
        /// </summary>
        [Fact]
        public void GetApplicationProfileTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string profile = null;
            //RdfFormat? format = null;
            //AcceptedLanguage? acceptLanguage = null;
            //var response = instance.GetApplicationProfile(profile, format, acceptLanguage);
            //Assert.IsType<ApplicationProfileDtoResponse>(response);
        }

        /// <summary>
        /// Test GetApplicationProfiles
        /// </summary>
        [Fact]
        public void GetApplicationProfilesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string? searchTerm = null;
            //AcceptedLanguage? language = null;
            //bool? modules = null;
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetApplicationProfiles(searchTerm, language, modules, pageNumber, pageSize, orderBy);
            //Assert.IsType<ApplicationProfileDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test GetRawApplicationProfile
        /// </summary>
        [Fact]
        public void GetRawApplicationProfileTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string profile = null;
            //var response = instance.GetRawApplicationProfile(profile);
            //Assert.IsType<string>(response);
        }
    }
}
